#!/bin/bash

thumbnailTimestamp="00:02"
version="1.0"

echo "ESP32 SoftCard Video Converter v$version"

if [ ! -d "InputVideos4by3" ]; then
    mkdir -f "InputVideos4by3"
fi

if [ ! -d "InputVideos16by9" ]; then
    mkdir -f "InputVideos16by9"
fi

if [ ! -d "OutputVideos" ]; then
    mkdir -f "OutputVideos"
fi

pushd "InputVideos4by3"
for file in $(ls); do
    if [[ ! "$file" == *.png ]]; then
        popd
        ./convert.sh "InputVideos4by3" "${file%.*}" ".${file##*.}" ntsc 320x200 $thumbnailTimestamp
        ./convert.sh "InputVideos4by3" "${file%.*}" ".${file##*.}" pal 320x240 $thumbnailTimestamp
        pushd "InputVideos4by3"
    fi
done
popd
pushd "InputVideos16by9"
for file in $(ls); do
    if [[ ! "$file" == *.png ]]; then
        popd
        ./convert.sh "InputVideos16by9" "${file%.*}" ".${file##*.}" ntsc 320x150 $thumbnailTimestamp
        ./convert.sh "InputVideos16by9" "${file%.*}" ".${file##*.}" pal 320x180 $thumbnailTimestamp
        pushd "InputVideos16by9"
    fi
done
popd

echo "ESP32 SoftCard Video Converter v$version - ALL DONE!"
read -p "Press Enter to continue"

exit 0
