#!/bin/bash

# Parameters:
# 	$1 - the input video directory, either InputVideos4by3 or InputVideos16by9
#	$2 - the filename of the video without the extension
#	$3 - the file extension of the video including the dot
#	$4 - the video standard, either ntsc or pal
#	$5 - the resolution of the output video, one of the following: 320x200, 320x240, 320x150 or 320x180
#	$6 - the timestamp of the auto-generated thumbnail

if [ ! -d "OutputVideos/$2" ]; then
    mkdir "OutputVideos/$2"
fi

ffmpeg -y -loglevel verbose -i "$1/$2$3" -s "$5" -f mpegts -pat_period 30 -streamid 1:258 -pes_payload_size 512 -codec:v mpeg1video -qmin 3 -qmax 1000 -b:v 575k -maxrate 1500k -bufsize 0.25M -bf 0 -filter:v fps=25 -codec:a sbc -ar 48000 -b:a 192k -ac 1 "OutputVideos/$2/$2.$4.ts"

ffmpeg -y -i "OutputVideos/$2/$2.$4.ts" -g 3 -s "$5" -f mpegts -pat_period 30 -codec:v mpeg1video -qmin 3 -qmax 1000 -b:v 1500k -maxrate 1500k -bufsize 0.25M -bf 0 -an -filter:v "setpts=PTS/15" "OutputVideos/$2/$2.$4.fwd.ts"

ffmpeg -y -i "OutputVideos/$2/$2.$4.fwd.ts" -g 3 -f mpegts -pat_period 30 -codec:v mpeg1video -qmin 3 -qmax 1000 -b:v 1500k -maxrate 1500k -bufsize 0.25M -bf 0 -vf reverse "OutputVideos/$2/$2.$4.rwd.ts"

if [ ! -f "$1/$2.png" ]; then
   ffmpeg -y -i "$1/$2$3" -ss "$6" -vframes 1 "$1/$2.png"
fi

ffmpeg -y -i "$1/$2.png" -s "$5" -f mpegts -codec:v mpeg1video -filter:v fps=fps=24 -bf 0 -q 2 "OutputVideos/$2/$2.$4.img.ts"

VideoIndexer "$2" $4

exit 0
